# $Revision: 1.104 $, $Date: 2011/08/31 18:29:54 $
Summary:	X interface to the GDB, DBX and XDB debuggers
Summary(ja.UTF-8):	GDB,DBX,Ladebug,JDB,Perl,Pythonのグラフィカルデバッガのフロントエンド
Summary(pl.UTF-8):	Interfejs X do debugerów GDB, DBX i XDB
Summary(zh_CN.UTF-8):	图形化的程序调试器前端;如GDB,DBX,Ladebug,JDB,Perl,Python
Name:		ddd
Version:	3.3.12
Release:	9
Epoch:		1
License:	GPL
Group:		Development/Debuggers
Source0:	http://ftp.gnu.org/gnu/ddd/%{name}-%{version}.tar.gz
# Source0-md5:	c50396db7bac3862a6d2555b3b22c34e
Source1:	%{name}.desktop
Source2:	http://art.gnome.org/images/icons/other/Debugger.png
# Source2-md5:	c046d9b0a04abdbb4a2be08a374ac2cd
Patch0:		%{name}-ptrace.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-home_etc.patch
Patch3:		%{name}-am185.patch
Patch4:		%{name}-gcc.4.4-build.patch
URL:		http://www.gnu.org/software/ddd/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	elfutils-devel
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	motif-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	texinfo
Requires:	gdb
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	%{_datadir}/X11/app-defaults

%define		specflags	-fno-strict-aliasing

%description
The Data Display Debugger (DDD) is a common graphical user interface
for GDB, DBX, and XDB, the popular UNIX debuggers. Besides
``classical'' front-end features such as viewing source texts, DDD
provides a graphical data display, where data structures are displayed
as graphs. A simple mouse click dereferences pointers or views
structure contents, updated each time the program stops. Using DDD,
you can reason about your application by viewing its data, not just by
viewing it execute lines of source code. Other DDD features include:
debugging of programs written in C, C++, Ada, Fortran, Java, Pascal,
Modula-2, or Modula-3; machine-level debugging; hypertext source
navigation and lookup; breakpoint, backtrace, and history editors;
preferences and settings editors; program execution in terminal
emulator window; debugging on remote host; on-line manual; interactive
help on the Motif user interface; GDB/DBX/XDB command-line interface
with full editing, history, search, and completion capabilities. DDD
has been designed to compete with well-known commercial debuggers

%description -l ja.UTF-8
DDDは、GDB,DBX,WDB,Ladebug,JDB,XDB,Perlデバッガ、またはPythonデバッガ
のようなコマンドライン型デバッガをグラフィカル型のデバッガに変身させる
フロントエンドです。ソースコードの参照等のような"通常"のフロントエンド
の機能のみならず、DDDはデータ構造をグラフとして表示する、会話式グラフ
ィカルデータ表示することで有名になりました。

%description -l pl.UTF-8
Data Display Debugger (DDD) jest typowym graficznym interfejsem do
GDB, DBX, i XDB - popularnych UNIXowych debuggerów. Poza
``klasycznymi'' możliwościami interfejsów graficznych takich jak
przeglądanie kodów źródłowych DDD dostarcza graficznych narzędzi,
gdzie struktury wyświetlane są w postaci graficznej. Proste kliknięcie
myszą pozwala na przeglądanie zawartości struktur (aktualizowane za
każdym razem gdy program się zatrzyma). Inne możliwości DDD to:
możliwość debugowania programów napisanych w C, C++, Ada, Fortran,
Java, Pascal, Modula-2, or Modula-2; debugowanie na poziomie maszyny;
hypertekstowa nawigacja po źródłach; breakpoint, backtrace i emulator
okna historii; możliwość ustawiania preferencji; uruchamianie
programów w oknie terminala; debugowanie na zdalnych serwerach;
podręcznik on-line; interaktywna pomoc; linia poleceń GDB/DBX/XDB z
pełną edycją, historią i wyszukiwaniem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-motif \
	--with-readline \
	--with-termlib=tinfo

%{__make} \
	CXXOPT="-DNDEBUG %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdefsdir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install ddd/Ddd $RPM_BUILD_ROOT%{_appdefsdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/ddd.png

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TIPS TODO doc/*.pdf
%attr(755,root,root) %{_bindir}/ddd
%{_datadir}/ddd*
%{_appdefsdir}/Ddd
%{_desktopdir}/ddd.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/*
%{_infodir}/ddd*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ddd.spec,v $
Revision 1.104  2011/08/31 18:29:54  arekm
- release 9

Revision 1.103  2011/01/29 00:06:18  sparky
- dropped pre-cvs changelog

Revision 1.102  2009/12/11 18:06:01  pluto
- updated to 3.3.12 (thx to Przemysław Firszt).

Revision 1.101  2009/02/23 22:04:26  arekm
- release 8

Revision 1.100  2008/11/07 20:50:10  arekm
- release 7

Revision 1.99  2008/04/08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.98  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.97  2007-11-28 08:17:56  arekm
- rel 6

Revision 1.96  2007-04-20 21:26:57  blekot
- rel 5 due to _ZNSo9_M_insertEPKci, version GLIBCXX_3.4.9 not defined in file libstdc++.so.6
- STBR

Revision 1.95  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.94  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.93  2006/10/09 14:27:04  qboosh
- R: libXt >= 1.0.0 (for app-defaults in /usr/share)

Revision 1.92  2006/10/09 12:33:09  pluto
- fix X11/app-defaults location, release 4.

Revision 1.91  2006/05/02 18:19:47  pluto
- xorgs modular deps, release 3.

Revision 1.90  2006/03/29 18:03:43  twittner
- cleaning commented out -python (pydb) subpkg. Pydb is
  sold as separate package in its own tarbal. Anyway this
  ddd version doesn't work with recent Pydb -
  3.3.12-test5 is required

Revision 1.89  2005/09/17 10:54:14  arekm
- readline 5.0

Revision 1.88  2005/03/22 19:08:33  saq
- up to 3.3.11

Revision 1.87  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.86  2004/11/11 00:06:57  ankry
- do not require too new am, rel. 2

Revision 1.85  2004/10/31 22:46:27  qboosh
- updated to 3.3.10

Revision 1.84  2004/07/22 21:52:16  ankry
- desktop fix, rel. 3

Revision 1.83  2004/07/07 12:51:05  ankry
- rel. 2 to rebuild with openmotif-libs-2.2.3-2

Revision 1.82  2004/06/27 19:33:46  qboosh
- updated to 3.3.9, fixed appdefsdir, switched to vfolders

Revision 1.81  2004/02/11 02:05:56  ankry
- don't decrease release of released packet

Revision 1.80  2004/02/04 18:43:46  wolf
- release: 333 ?!

Revision 1.79  2004/01/30 06:32:13  averne
- release 3 for rebuild with new openmotif

Revision 1.78  2004/01/25 23:39:36  undefine
- rebuild with new openmotif

Revision 1.77  2003/11/18 21:57:00  qboosh
- updated to 3.3.8 (URL back to ftp.gnu.org), removed obsolete DESTDIR patch

Revision 1.76  2003/11/10 06:10:46  witekfl
- added home_etc.patch
- rel 2

Revision 1.75  2003/08/30 21:37:06  qboosh
- removed INSTALL from doc (useful only for packagers, not end users)

Revision 1.74  2003/08/28 22:16:19  qboosh
- changed info patch to use existing dircategory, cosmetics

Revision 1.73  2003/08/26 22:20:13  gotar
- BR: readline-devel, bison, flex,
- upgraded to 3.3.7:
 - removed obsoleted gcc33 patch,
 - commented out python stuff (is there any now?),
 - BR: autoconf, libtool, use their macros and new %configure.

Revision 1.72  2003/08/18 08:07:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.71  2003/07/23 07:39:05  wiget
- rebuild with new python

Revision 1.70  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.69  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.68  2003/05/25 05:46:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2003/01/18 22:46:43  juandon
- removed two lines with define

Revision 1.66  2002/11/30 01:29:04  wolf
- use nicer icon from art.gnome.org

Revision 1.65  2002/11/15 07:07:16  ankry
- added icon; rel. 16

Revision 1.64  2002/09/11 10:41:48  undefine
- new and more %doc

Revision 1.63  2002/09/10 23:54:11  undefine
- add %{__aclocal}
- use system readline, not built

Revision 1.62  2002/09/10 23:29:29  undefine
- ja/zh_CN description from TurboLinux

Revision 1.61  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.60  2002/04/25 16:09:58  arturs
fixed a small typo

Revision 1.59  2002/04/11 13:46:43  wrobell
- rel. 15, stb

Revision 1.58  2002/04/11 13:45:32  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.57  2002/04/02 23:52:22  kloczek
- bump release to 14.

Revision 1.56  2002/03/31 00:29:00  filon
- added patch for gcc3 (from RH)
- release 11

Revision 1.55  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.54  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.53  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.51  2002/02/03 23:39:46  kloczek
- release 10: rebuild against python 2.2.

Revision 1.50  2002/01/18 02:12:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.49  2001/12/31 18:48:27  wolf
- fixed description
- release 9

Revision 1.48  2001/11/26 10:48:35  kloczek
- reelase 8.

Revision 1.47  2001/11/12 17:53:11  wrobell
- fixed requires
- use python standard macros

Revision 1.46  2001/10/06 08:20:01  kloczek
- release 7.

Revision 1.45  2001/10/04 14:41:28  qboosh
- BuildRequires: automake

Revision 1.44  2001/08/06 13:16:02  kloczek
- release 6 (for allow upgrade from RH).

Revision 1.43  2001/08/04 17:38:15  qboosh
- info patch
- %%configure2_13 - too much work with ac250
- release 2

Revision 1.42  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.40  2001/06/01 16:11:56  qboosh
- updated to 3.3.1

Revision 1.39  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.38  2001/02/05 22:46:17  kloczek
- merge ptrace patch from RH with fix ptrace problems on sparc.

Revision 1.37  2001/02/05 17:09:29  kloczek
- spec adapterized,
- now spec is %%{debug} ready.

Revision 1.36  2001/02/05 16:51:31  wrobell
- up to 3.3 version, stb

Revision 1.35  2001/01/23 02:12:41  wrobell
- updated for 3.2.98:
    - info documentation
    - fixed file list
    - new DESTDIR patch
    - python modules compiled to bytecode

Revision 1.34  2000/12/16 16:17:04  mkochano
- Release 4.
- BuildRequires: Python.
- NOTE: previous release begin to segfaulting after upgrade of some libraries.
  Simple rebuild resolved this problem.

Revision 1.33  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.32  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.31  2000/10/21 23:46:34  wrobell
- using python_sitepkgsdir macro

Revision 1.30  2000/08/27 02:04:38  mis
- removed pydb from main, it is owned by ddd-python

Revision 1.29  2000/07/13 23:07:04  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.28  2000/07/13 20:38:39  baggins
- release 2

Revision 1.27  2000/06/12 13:36:40  baggins
- change buildrequires from lesstif-devel to motif-devel

Revision 1.26  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/05/29 16:54:30  bonkey
- updated to 3.2.1
- changed urls
- adapterized

Revision 1.24  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.22  1999/11/16 21:36:21  kloczek
- release 2,
- build against ncurses 5.0.

Revision 1.21  1999/11/08 16:24:38  kura
fixed pl translation

Revision 1.20  1999/10/14 23:04:27  kloczek
- added Requires: gdb.

Revision 1.19  1999/09/19 15:25:06  pius
- added BuildRequires rules
- fixed installation of *.desktop files
- cosmetics

Revision 1.18  1999/09/04 09:13:11  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.17  1999/08/19 14:31:41  kloczek
- updated to 3.1.6,
- wmconfig files replaced by desktop files.

Revision 1.16  1999/07/29 23:38:16  wrobell
- python files in %{_libdir}/python1.5

Revision 1.15  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.14  1999/07/16 19:22:24  baggins
- macros
- FHS 2.0
- cleanup

Revision 1.13  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
